com.google.cloud.dataflow.sdk.options

## Annotation Type Default.InstanceFactory

    @Target(value=METHOD)
     @Retention(value=RUNTIME)
     @Documented
    public static @interface Default.InstanceFactory

Value must be of type `DefaultValueFactory` and have a default constructor. Value is instantiated and then used as a factory to generate the default.

See `DefaultValueFactory` for more details.

### Required Element Summary

Required Elements
`Class<? extends DefaultValueFactory<?>>` `value`

### Element Detail

#### value

    public abstract Class<? extends DefaultValueFactory<?>> value